apiVersion: v1
kind: Pod
metadata:
  labels:
    app: learn-metrics
  name: learn-metrics
spec:
  containers:
  - image: quay.io/bitnami/grafana:latest
    name: grafana
    env:
    - name: GF_SECURITY_ADMIN_PASSWORD
      value: foobar
    - name: GF_PATHS_CONFIG
      value: /grafana-config/grafana.ini
    ports:
    - containerPort: 3000
      hostPort: 3000
      protocol: TCP
    volumeMounts:
    - name: grafana-config
      mountPath: /grafana-config
      readOnly: true
    - name: grafana-datasource
      mountPath: /etc/grafana/provisioning/datasources/datasource.yaml
      readOnly: true

  - image: quay.io/prometheus/prometheus:latest
    name: prometheus
    ports:
    - containerPort: 9090
      hostPort: 3001
      protocol: TCP
    volumeMounts:
      - name: prometheus-config
        mountPath: /etc/prometheus
        readOnly: true

  - image: quay.io/bitnami/nginx
    name: httpd
    volumeMounts:
    - name: http
      mountPath: /app
      readOnly: true

  volumes:
  - hostPath:
      path: ./conf-grafana/datasource.yaml
      type: File
    name: grafana-datasource
  - hostPath:
      path: ./conf-grafana
    name: grafana-config
  - hostPath:
      path: ./conf-prometheus
    name: prometheus-config
  - hostPath:
      path: ./http
    name: http
